Subject: Re: `find' command broken.
From: [email-masked] ("John Cooper")

15 Jul 1997 02:56:12 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <19970715091430890.AAA331.cygnus.gnu-win32@TENDLE>
References: <[email-masked]>
	<[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-Cc: James Dumser <[email-masked]>, [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: VM 6.32 under Emacs 19.34.1
X-Attribution: JSC
X-Face: -%]aecOJlhOSKn)}>~DbRQwM6G6gDkOD{2f!2Bt9|S-xC1~Gk^dCp_/HH#zo^u5z8iGty3N
 L_1.GYkj0by`^VQK14EzbsY~BC%%O#x+[Giaf?X`hi9H)oEy]M>cx/Y4.I^5@^#kQrJk*!DwlpX: 1}
 eZVU9: ~_QGIMF5[I
Original-Sender: [email-masked]

$Bill Luebkert writes:
 > James Dumser wrote:
 > > For things to work
 > > correctly with zsh, you'd have to start with
 > >         find . -name '\'*.c\'' -print
 > 
 > Fails in tcsh:
 > 	Unmatched '.

Ditto for zsh (nice problem summary though).

 > > So what's the solution? I can think of several:
 > >  - don't use non-cygwin, globbing shells
 > >  - use non-cygwin utilities
 > >  - be very meticulous when you mix non-cygwin shells and cygwin programs
 > >  - port your non-cygwin, globbing shell to cygwin (which should be easier
 > >    now with Sergery's latest cygwin.dll)
 > 
 > What's the matter with fix Cygwin32 to handle quoting
 > properly for non-cygwin32 apps?

Or, alternatively, as a quick-hack fix:

How about introducing an environment variable that means "don't have cygwin
glob", and modify the above code as follows:

 > >>           /* Expand *.c, etc.  */
 > >>           if (! u->self->cygwin_parent_p && !getenv("CYGWIN_DONT_GLOB"))
 > >>             globify (&argc, &argv);

Then I could just set CYGWIN_DONT_GLOB in my .zshrc and then `find', etc
would behave the same as under bash.

    --- John

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".